%define svn		0
%define rel		1
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define	dirname		synce-gvfs
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif

Name:		synce-kio-rapip
Summary:	KDE 3 KIOslave for Windows Mobile devices
Version:	0.10
Release:	%{release}
License:	MIT
Source0:	http://downloads.sourceforge.net/synce/%{distname}
URL:		http://synce.sourceforge.net/
Group:		Communications
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsynce-devel
BuildRequires:	librapi-devel
BuildRequires:	kdelibs-devel

%description
This is a full featured KIOslave used to browse through the file
system of a Windows Mobile device, and to copy files to and from the
PDA by drag and drop via Konqueror.

To use, simply open Konqueror or any other KIO-enabled file manager
and type in rapip://DEVICENAME/ to the address bar. If you are not
sure about the name of your device, simply go to rapip:/ which will
show the first device it finds.

%prep
%setup -q -n %{dirname}

%build
%configure_kde3
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE ChangeLog README NEWS
%{_kde3_libdir}/kde3/kio_rapip.*
%{_kde3_datadir}/services/rapip.protocol
%{_kde3_iconsdir}/hicolor/*/apps/*.png



%changelog
* Thu Sep 04 2008 Adam Williamson <awilliamson@mandriva.com> 0.10-1mdv2009.0
+ Revision: 280235
- import synce-kio-rapip


